API ReferenceIPs

List IPs

The dedicated ISP and datacenter IPs on your plans.

GEThttps://api.riftip.com/v1/ips

#Query parameters

ParameterTypeDescription
networkstringisp or datacenter. Both by default.
countrystringTwo-letter country code.
limitinteger1–100. Default 25.
starting_afterstringPagination cursor.

#Request

curl "https://api.riftip.com/v1/ips?network=isp&country=us" \
  -H "Authorization: Bearer $RIFTIP_API_KEY"

#Response

JSON
{
  "data": [
    {
      "ip": "203.0.113.24",
      "network": "isp",
      "country": "US",
      "city": "Ashburn",
      "asn": 7922,
      "expires_at": "2026-11-07T00:00:00Z"
    },
    {
      "ip": "203.0.113.57",
      "network": "isp",
      "country": "US",
      "city": "Dallas",
      "asn": 7018,
      "expires_at": "2026-11-07T00:00:00Z"
    }
  ],
  "has_more": false,
  "next_cursor": null
}